Unable to compile gnome-admin-1.0.54

Unable to compile gnome-admin-1.0.54

Post by Young4er » Tue, 23 Nov 1999 04:00:00



Hi,

I am wondering if anyone has a success story in compiling the
gnome-admin-1.0.54 off the source package.  I downloaded a copy of the
gnome-admin over the weekened and have been unable to successfully
compile the source code.  Here is the excerption at the stage when it
failed:

+++++++++++
gcc -c -DLOCALEDIR=\"/usr/share/locale\"
-DGNULOCALEDIR=\"/usr/share/locale\"
-DLOCALE_ALIAS_PATH=\"/usr/share/locale:.\" -DHAVE_CONFIG_H -I.. -I.
-I../intl -I../lib -I/usr/X11R6/include -I/usr/lib/glib/include -O2
-m486 -fno-strength-reduce -Wall -Wno-unused -Wmissing-prototypes
-Wmissing-declarations -Wpointer-arith  -ansi -pedantic  loadmsgcat.c
loadmsgcat.c: In function `_nl_load_domain':
loadmsgcat.c:155: `caddr_t' undeclared (first use in this function)
loadmsgcat.c:155: (Each undeclared identifier is reported only once
loadmsgcat.c:155: for each function it appears in.)
loadmsgcat.c:155: parse error before `data'
loadmsgcat.c:155: parse error before `)'
loadmsgcat.c:194: parse error before `data'
loadmsgcat.c:194: parse error before `)'
make[2]: *** [loadmsgcat.o] Error 1
make[2]: Leaving directory
`/home/local/src/packages/BUILD/gnome-core-1.0.54/intl'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/home/local/src/packages/BUILD/gnome-core-1.0.54'
make: *** [all-recursive-am] Error 2
+++++++++++

It looks like the file "loadmsgcat.c" has a problem in which "caddr_t"
was detected as an declared variable.  However, a closer look at the
"loadmsgcat.c" code reveals that it has an inclusion of "#include
<sys/types.h>" where the "caddr_t" is declared.  Any idea/pointer?

--

PS> Remove the "4" from e-mail address to respond.

 
 
 

1. gimp 0.54 and plug-in problem

Hi Folks,

        I am not sure if this is the best forum for this question, but... here
goes: I am using a Debian system at home with XFree 3.3. Works great. My
problem though, is that although everything appears to be set up for
use of plug-ins, I can't see it on the gimp menus. Even the standard filters
like Blur seem to missing. I installed these two debian packages:

ii  gimp-plugins    1.0-1          A set of fairly "standard" plug-ins for the
ii  gimp-smotif     0.54.1-6       GIMP (General Image Manipulation Program), s

gimp statically linked against motif, since I don't have it. But, when
I launch the gimp, I only these available options on the menubar:

File Edit Tools Brushes Color

And that's it. How the heck do I use the nifty plug-ins?

Any input would be appreciated, thanks.

--Anindya

2. 130 Fonts for WP 8 where?

3. Unable to compile gnome 1.2.8 on FreeBSD 4.2-RELEASE

4. preempt-safe load_LDT

5. COMPILING NOW: Re: unable to compile 1.4 on 4.7-STABLE...

6. Anybody compile zmailer on SPARC w/Solaris 2.1?

7. A Concise Guide to UNIX Books

8. admin user can't admin non-admin groups

9. COMPILING NOW: Re: unable to compile 1.4 on 4.7-STABLE...

10. Unable to logon to GNOME as Root

11. unable to access floppy/cdrom in Gnome.

12. unable to start Gnome